package ru.bitel.mybgbilling.kernel.common.converters;

import java.io.Serializable;

import jakarta.enterprise.context.SessionScoped;
import jakarta.faces.component.UIComponent;
import jakarta.faces.context.FacesContext;
import jakarta.faces.convert.Converter;
import jakarta.inject.Named;

import ru.bitel.common.Utils;

@Named
@SessionScoped
public class IntegerSetConverter
    implements Converter, Serializable
{
    @Override
    public Object getAsObject( FacesContext context, UIComponent component, String value )
    {
        return Utils.toIntegerSet( value );
    }

    @Override
    public String getAsString( FacesContext context, UIComponent component, Object value )
    {
        return Utils.toString( (Iterable<?>)value );
    }
}
